### Struct

# FwupdPlugin UsbDeviceHdr

#### Description

    struct FuUsbDeviceHdr {
      GByteArray* buf;
      guint refcount;
    }

No description available.

###### Structure members

`buf` | No description available.
`refcount` | No description available.

#### Functions

###### fu_usb_device_hdr_parse_bytes

No description available.

#### Instance methods

###### fu_usb_device_hdr_get_device

No description available.

###### fu_usb_device_hdr_get_device_class

No description available.

###### fu_usb_device_hdr_get_device_protocol

No description available.

###### fu_usb_device_hdr_get_device_sub_class

No description available.

###### fu_usb_device_hdr_get_length

No description available.

###### fu_usb_device_hdr_get_manufacturer_idx

No description available.

###### fu_usb_device_hdr_get_max_packet_size0

No description available.

###### fu_usb_device_hdr_get_num_configurations

No description available.

###### fu_usb_device_hdr_get_product

No description available.

###### fu_usb_device_hdr_get_product_idx

No description available.

###### fu_usb_device_hdr_get_serial_number_idx

No description available.

###### fu_usb_device_hdr_get_usb

No description available.

###### fu_usb_device_hdr_get_vendor

No description available.

###### fu_usb_device_hdr_ref

No description available.

###### fu_usb_device_hdr_unref

No description available.